<div class="test" *ngIf="testAnswer">
    <h1>Test №{{id}}</h1>
    <h2>{{testToPass.name}}</h2>
    <h2>Level: {{testToPass.testType.name}}</h2>
    <div *ngFor="let question of testToPass.questions; let i = index">
        <h3>Q{{i+1}} {{question.statement}}</h3>
        <div class="answer" *ngFor="let answer of question.answers">     
                <input #saveUserAnswer type='checkbox' id="saveUserAnswer"
                 (change)="onSaveUserAnswer(saveUserAnswer.checked, question.id, answer.id)">
                <p>{{answer.name}}</p>
        </div>
    </div>
    <button type="submit" (click)="TestPass()">Submit</button>
</div>



